diff -Naur libe-book-0.1.2/src/conv/html/Makefile.am libe-book-0.1.2-boost/src/conv/html/Makefile.am
--- libe-book-0.1.2/src/conv/html/Makefile.am	2014-01-02 14:38:41.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/html/Makefile.am	2016-01-28 10:23:30.340655369 +0100
@@ -15,7 +15,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2HTML_WIN32_RESOURCE@
 
 ebook2html_SOURCES = ebook2html.cpp
diff -Naur libe-book-0.1.2/src/conv/html/Makefile.in libe-book-0.1.2-boost/src/conv/html/Makefile.in
--- libe-book-0.1.2/src/conv/html/Makefile.in	2015-01-05 09:41:55.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/html/Makefile.in	2016-01-28 10:24:00.641438872 +0100
@@ -338,7 +338,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2HTML_WIN32_RESOURCE@
 
 ebook2html_SOURCES = ebook2html.cpp
diff -Naur libe-book-0.1.2/src/conv/raw/Makefile.am libe-book-0.1.2-boost/src/conv/raw/Makefile.am
--- libe-book-0.1.2/src/conv/raw/Makefile.am	2014-01-02 14:38:41.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/raw/Makefile.am	2016-01-28 10:27:21.374601894 +0100
@@ -15,7 +15,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2RAW_WIN32_RESOURCE@
 
 ebook2raw_SOURCES = ebook2raw.cpp
diff -Naur libe-book-0.1.2/src/conv/raw/Makefile.in libe-book-0.1.2-boost/src/conv/raw/Makefile.in
--- libe-book-0.1.2/src/conv/raw/Makefile.in	2015-01-05 09:41:55.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/raw/Makefile.in	2016-01-28 10:27:43.173164342 +0100
@@ -338,7 +338,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2RAW_WIN32_RESOURCE@
 
 ebook2raw_SOURCES = ebook2raw.cpp
diff -Naur libe-book-0.1.2/src/conv/text/Makefile.am libe-book-0.1.2-boost/src/conv/text/Makefile.am
--- libe-book-0.1.2/src/conv/text/Makefile.am	2014-01-02 14:38:41.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/text/Makefile.am	2016-01-28 10:29:48.466403506 +0100
@@ -15,7 +15,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2TEXT_WIN32_RESOURCE@
 
 ebook2text_SOURCES = ebook2text.cpp
diff -Naur libe-book-0.1.2/src/conv/text/Makefile.in libe-book-0.1.2-boost/src/conv/text/Makefile.in
--- libe-book-0.1.2/src/conv/text/Makefile.in	2015-01-05 09:41:55.000000000 +0100
+++ libe-book-0.1.2-boost/src/conv/text/Makefile.in	2016-01-28 10:30:08.608925224 +0100
@@ -338,7 +338,7 @@
 	../../lib/libe-book-@EBOOK_MAJOR_VERSION@.@EBOOK_MINOR_VERSION@.la \
 	$(REVENGE_LIBS) \
 	$(REVENGE_GENERATORS_LIBS) \
-	$(REVENGE_STREAM_LIBS) \
+	$(REVENGE_STREAM_LIBS) -lboost_system \
 	@EBOOK2TEXT_WIN32_RESOURCE@
 
 ebook2text_SOURCES = ebook2text.cpp
diff -Naur libe-book-0.1.2/src/lib/Makefile.am libe-book-0.1.2-boost/src/lib/Makefile.am
--- libe-book-0.1.2/src/lib/Makefile.am	2014-12-31 09:32:41.000000000 +0100
+++ libe-book-0.1.2-boost/src/lib/Makefile.am	2016-01-28 10:22:26.029943184 +0100
@@ -57,7 +57,7 @@
 libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_CPPFLAGS = -DLIBE_BOOK_EXPERIMENTAL
 endif
 
-libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_DEPENDENCIES = libe-book-internal.la @LIBEBOOK_WIN32_RESOURCE@
+libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_DEPENDENCIES = libe-book-internal.la -lboost_system @LIBEBOOK_WIN32_RESOURCE@
 libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_LDFLAGS = $(version_info) -export-dynamic -no-undefined
 libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_SOURCES = \
 	EBOOKDocument.cpp
diff -Naur libe-book-0.1.2/src/lib/Makefile.in libe-book-0.1.2-boost/src/lib/Makefile.in
--- libe-book-0.1.2/src/lib/Makefile.in	2015-01-05 09:41:55.000000000 +0100
+++ libe-book-0.1.2-boost/src/lib/Makefile.in	2016-01-28 10:22:26.029943184 +0100
@@ -537,7 +537,7 @@
 	libe-book-internal.la $(REVENGE_LIBS) $(XML_LIBS) $(ICU_LIBS) \
 	$(ZLIB_LIBS) @LIBEBOOK_WIN32_RESOURCE@ $(am__append_2)
 @ENABLE_EXPERIMENTAL_TRUE@libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_CPPFLAGS = -DLIBE_BOOK_EXPERIMENTAL
-libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_DEPENDENCIES = libe-book-internal.la @LIBEBOOK_WIN32_RESOURCE@
+libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_DEPENDENCIES = libe-book-internal.la -lboost_system @LIBEBOOK_WIN32_RESOURCE@
 libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_LDFLAGS = $(version_info) -export-dynamic -no-undefined
 libe_book_@EBOOK_MAJOR_VERSION@_@EBOOK_MINOR_VERSION@_la_SOURCES = \
 	EBOOKDocument.cpp
